
Base Language - Feature #4354

add GET-CLASS() function support

10/15/2019 10:03 AM - Constantin Asofiei

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No vendor_id: GCD

Description

Related issues:

Related to Base Language - Feature #3751: implement support for OO 4GL and st... Closed

Related to Base Language - Feature #4373: finish core OO 4GL support New

History

#1 - 10/15/2019 10:03 AM - Constantin Asofiei

- Related to Feature #3751: implement support for OO 4GL and structured error handling added

#2 - 10/30/2019 09:56 AM - Greg Shah

- Related to Feature #4373: finish core OO 4GL support added

#3 - 05/29/2020 08:31 AM - Greg Shah

- % Done changed from 0 to 70

I'm not sure if all error handling is complete, but the basic functionality for GET-CLASS() is present in branch 4231b.  This incudes full conversion

support.  It is only the runtime support that may have something missing.

#4 - 06/20/2020 11:53 AM - Greg Shah

Task branch 4231b has been merged to trunk as revision 11347.

#5 - 04/26/2022 01:05 PM - Greg Shah

Is there anything remaining to work on for this task?

#6 - 04/26/2022 01:06 PM - Constantin Asofiei

Greg Shah wrote:

Is there anything remaining to work on for this task?

 

No.

#7 - 04/26/2022 01:07 PM - Greg Shah

05/06/2024 1/2



- % Done changed from 70 to 100

- Status changed from New to Closed
